/****************/
/* kunnon.cpp  */
/****************/
// Wordis-peli. Projektiin kunnon.cpp ja kunnon.rc

#include <owl\pch.h>
#include "kunnon.rh"

//------------------------------------------------------------------------------
class TWordisDialog : public TDialog {
public:
  TWordisDialog(TWindow *parent, TResId resId, TModule *module = 0) :
    TDialog(parent,resId,module) {
    }
  virtual ~TWordisDialog()  { Destroy();                                      }
  void EiToimiClicked()     { MessageBox("Wordis ei toimi!!!!!");              }
  void AboutWordisClicked() { MessageBox("Created by: Kalle-Jaakko Kinnunen, Olli Saikkonen and Tuomas Heln");              }
  void BNExitClicked()      { Destroy();                                      }
  DECLARE_RESPONSE_TABLE(TWordisDialog);
};

DEFINE_RESPONSE_TABLE1(TWordisDialog, TDialog)
  EV_BN_CLICKED(NEW,EiToimiClicked),
  EV_COMMAND(IDM_ABOUT, AboutWordisClicked),
  EV_COMMAND(IDM_FILE_EXIT, BNExitClicked),
END_RESPONSE_TABLE;

//------------------------------------------------------------------------------
class TWordisApp : public TApplication
{
public:
  TWordisApp(const char *title) : TApplication(title) {}
  void InitMainWindow() {
#if 0
    TFrameWindow *fw = new TFrameWindow(0, Name,
                  new TWordisDialog(0, "WORDIS") , true); // Tyyli WS_CHILD
#else
    TDecoratedFrame *fw = new TDecoratedFrame(0, Name,
                    new TWordisDialog(0, "WORDIS") );
#endif
    fw->AssignMenu("Paamenu");
    fw->SetFlag(wfShrinkToClient);
    SetMainWindow(fw);
  }
};

/************
********* Pohjelma *********************************************/
int OwlMain(int ,char far * [])
{
  return TWordisApp("WORDIS").Run();
}

